--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Append path segments and expand to absolute path
- !ruby/struct:SM::Flow::VERB 
  body: "  file = Pathname(Dir.pwd) / &quot;subdir1&quot; / :subdir2 / &quot;filename.ext&quot;\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Pathname, String, #to_s] path path segment to concatenate with receiver"
- !ruby/struct:SM::Flow::P 
  body: "@return [Pathname]"
- !ruby/struct:SM::Flow::VERB 
  body: "  receiver with <em>path</em> appended and expanded to an absolute path\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: Pathname#/
is_singleton: false
name: /
params: (path)
visibility: public
